/* SegorKat - A viewer for the electronic catalog of  
*            Segor electronics (www.segor.de). 
* 
* http://www.mydarc.de/dl9obn/programs/segorkat 
* 
* Copyright (C) 2005 by Dirk Baechle (dl9obn@darc.de) 
* 
* This program is free software; you can redistribute it and/or 
* modify it under the terms of the GNU General Public License 
* as published by the Free Software Foundation; either version 2 
* of the License, or (at your option) any later version. 
* 
* This program is distributed in the hope that it will be useful, 
* but WITHOUT ANY WARRANTY; without even the implied warranty of 
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the 
* GNU General Public License for more details. 
* 
* You should have received a copy of the GNU General Public 
* License along with this program; if not, write to the 
* 
* Free Software Foundation, Inc. 
* 675 Mass Ave 
* Cambridge 
* MA 02139 
* USA 
* 
*/

/** 
\file skArticleInfoDialog.h 
\author Dirk Baechle 
\date 2005-07-02 
\version 1.0 
*/

#ifndef SK_ARTICLEINFODIALOG_H
#define SK_ARTICLEINFODIALOG_H

/*------------------------------------------------------------- Includes */

#include <qdialog.h>
#include <qstring.h>

#include "skSegorArticle.h"

/*------------------------------------------------------ Forward class declarations */

class QTextEdit;
class QButtonGroup;

/*-------------------------------------------------------------- Classes */

/** A small info dialog that displays data like the price
* table or the availability of the selected article.
*/
class skArticleInfoDialog: public QDialog
{
    Q_OBJECT

public:
    skArticleInfoDialog(const skSegorArticle &article,
                        QWidget *parent = 0, 
                        QString name = QString::null);

protected:
    void getInfoText(const skSegorArticle &article,
                     QString &text);

protected slots:
    void slotPrint();

private:
    /** Text edit for the article infos */
    QTextEdit *teArticleInfo;
    /** The current article */
    skSegorArticle currentArticle;
};

#endif

