/* SegorKat - A viewer for the electronic catalog of  
*            Segor electronics (www.segor.de). 
* 
* http://www.mydarc.de/dl9obn/programs/segorkat 
* 
* Copyright (C) 2005 by Dirk Baechle (dl9obn@darc.de) 
* 
* This program is free software; you can redistribute it and/or 
* modify it under the terms of the GNU General Public License 
* as published by the Free Software Foundation; either version 2 
* of the License, or (at your option) any later version. 
* 
* This program is distributed in the hope that it will be useful, 
* but WITHOUT ANY WARRANTY; without even the implied warranty of 
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the 
* GNU General Public License for more details. 
* 
* You should have received a copy of the GNU General Public 
* License along with this program; if not, write to the 
* 
* Free Software Foundation, Inc. 
* 675 Mass Ave 
* Cambridge 
* MA 02139 
* USA 
* 
*/

/** 
\file skCentralWidget.h 
\author Dirk Baechle 
\date 2005-07-02 
\version 1.0 
*/

#ifndef SK_CENTRALWIDGET_H
#define SK_CENTRALWIDGET_H

/*------------------------------------------------------------- Includes */

#include <qvbox.h>

#include "skSegorCategory.h"

#include <vector>

using namespace std;

/*------------------------------------------------------ Forward class declarations */

class QPushButton;
class QComboBox;
class QListView;
class QPopupMenu;
class QLineEdit;
class QCheckBox;
class QListViewItem;

/*------------------------------------------------------ Forward class declarations */

/** This class represents the central widget in the
* application.
*/
class skCentralWidget : public QVBox
{
    Q_OBJECT

public:
    skCentralWidget( QWidget *parent, const char *name = 0 );

public slots:
    void slotOpenCatalog();
    void slotUncompressCatalog();

protected:

protected slots:
    void slotCategoryChanged(int);
    void slotSubCategoryChanged(int);
    void slotSubSubCategoryChanged(int);
    void slotSearchArticles();
    void slotDisplayArticle(QListViewItem *);
    void slotRightButtonClicked(QListViewItem *, const QPoint &, int);
    void slotShowArticleInfo();
    void slotOrderedArticles();
    void slotOrderPart();
    void slotDisorderPart();
    void slotDisorderAllParts();
    void slotUpdateOrderInfo();
    void slotPrintOrderList();
    void slotExportOrderListText();
    void slotExportOrderListHTML();

private:
    void setupCentralWidget();
    void setupConnects();
    void clearAllData();
    void getHtmlOrderTable(QString &sTable);
    void getTextOrderTable(QString &sTable);

    QComboBox *cbCategory;
    QComboBox *cbSubCategory;
    QComboBox *cbSubSubCategory;
    
    QLineEdit *leSearch;
    QCheckBox *cbName;
    QCheckBox *cbDescription;
    QCheckBox *cbOtherNames;
    QCheckBox *cbCaseSensitive;
    QPushButton *pbSearch;

    QLineEdit *leOrderCount;
    QLineEdit *leOrderSumNetto;
    QLineEdit *leOrderSumBrutto;
    QPushButton *pbOrderList;

    QListView *lvParts;
    QPopupMenu *popMenu;
    vector<skSegorCategory> sclData; 
    
};

#endif


