/* SegorKat - A viewer for the electronic catalog of  
*            Segor electronics (www.segor.de). 
* 
* http://www.mydarc.de/dl9obn/programs/segorkat 
* 
* Copyright (C) 2005 by Dirk Baechle (dl9obn@darc.de) 
* 
* This program is free software; you can redistribute it and/or 
* modify it under the terms of the GNU General Public License 
* as published by the Free Software Foundation; either version 2 
* of the License, or (at your option) any later version. 
* 
* This program is distributed in the hope that it will be useful, 
* but WITHOUT ANY WARRANTY; without even the implied warranty of 
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the 
* GNU General Public License for more details. 
* 
* You should have received a copy of the GNU General Public 
* License along with this program; if not, write to the 
* 
* Free Software Foundation, Inc. 
* 675 Mass Ave 
* Cambridge 
* MA 02139 
* USA 
* 
*/

/** 
\file skHuffNode.h 
\author Dirk Baechle 
\date 2005-07-02 
\version 1.0 
*/

#ifndef SK_HUFFNODE_H
#define SK_HUFFNODE_H

/*------------------------------------------------------------- Includes */

#include <iostream>
#include <fstream>

using namespace std;

/*-------------------------------------------------------------- Classes */

/** Parameters for a single node in the Huffman tree. */
class skHuffNode
{
public:
    skHuffNode();
    skHuffNode(const skHuffNode &elem);
    skHuffNode& operator= (const skHuffNode &elem);
    
    int read(ifstream &f);

    /** Index of the parent (=uptree) */
    int Parent;
    /** Index of the left branch (=tree1) */
    int Left;
    /** Index of the right branch (=tree2) */
    int Right;

protected:

private:

};

#endif

