/* SegorKat - A viewer for the electronic catalog of  
*            Segor electronics (www.segor.de). 
* 
* http://www.mydarc.de/dl9obn/programs/segorkat 
* 
* Copyright (C) 2005 by Dirk Baechle (dl9obn@darc.de) 
* 
* This program is free software; you can redistribute it and/or 
* modify it under the terms of the GNU General Public License 
* as published by the Free Software Foundation; either version 2 
* of the License, or (at your option) any later version. 
* 
* This program is distributed in the hope that it will be useful, 
* but WITHOUT ANY WARRANTY; without even the implied warranty of 
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the 
* GNU General Public License for more details. 
* 
* You should have received a copy of the GNU General Public 
* License along with this program; if not, write to the 
* 
* Free Software Foundation, Inc. 
* 675 Mass Ave 
* Cambridge 
* MA 02139 
* USA 
* 
*/

/** 
\file skMainWindow.cpp 
\author Dirk Baechle 
\date 2005-07-02 
\version 1.0 
*/

/*------------------------------------------------------------- Includes */

#include "skMainWindow.h"
#include "skCentralWidget.h"

#include <qpopupmenu.h>
#include <qmenubar.h>
#include <qmessagebox.h>
#include <qstring.h>

/*------------------------------------------------------ Class functions */

/** Constructor for the \a skMainWindow class. */
skMainWindow::skMainWindow()
    : QMainWindow(0, "skMainWindow" )
{
    // Setup the main window
    setupCentralWidget();
    setupMenuBar();
}

/** Sets up the menu bar for the main window. */
void skMainWindow::setupMenuBar()
{
    // File menu
    pmFile = new QPopupMenu( this );
    menuBar()->insertItem(tr("&Katalog"),  pmFile);

    pmFile->insertItem(tr("ffnen"), view, SLOT( slotOpenCatalog() ));
    pmFile->insertItem(tr("Entpacken"), view, SLOT( slotUncompressCatalog() ));
    pmFile->insertSeparator();
    pmFile->insertItem( tr("&Beenden"), this, SLOT( close() ));

    // Order list menu
    pmOrder = new QPopupMenu( this );
    menuBar()->insertItem(tr("&Bestelliste"),  pmOrder);

    pmOrder->insertItem(tr("Drucken"), view, SLOT( slotPrintOrderList() ));
    pmOrder->insertItem( tr("Exportiere Text-Datei"), view, SLOT( slotExportOrderListText() ));
    pmOrder->insertItem(tr("Exportiere HTML-Datei"), view, SLOT( slotExportOrderListHTML() ));

    // Info menu
    pmInfo = new QPopupMenu( this );
    menuBar()->insertItem( tr("&Info"),  pmInfo);
    pmInfo->insertItem( tr("ber"), this, SLOT( slotAbout() ));

}

/** Sets up the central widget for the main window. */
void skMainWindow::setupCentralWidget()
{
    view = new skCentralWidget( this, "view" );
    setCentralWidget( view );

}

/*--------------------------------------------------------------- Slots */

/** Displays an ``about'' dialog. */
void skMainWindow::slotAbout()
{
  QMessageBox::about(this, tr("ber SegorKat"),
                           tr("SegorKat v1.0") + "\n" +
			   tr("Ein OpenSource-Viewer fr den elektronischen") + "\n" +
                           tr("Katalog von Segor electronics.") + "\n\n" +
			   tr("<2005-07-02> by Dirk Baechle (dl9obn@darc.de)") + "\n" +
                           tr("http://www.mydarc.de/dl9obn/programs/segorkat"));
}


